Quassel IRC - Bug #1644

Provide documentation on how to change core's database connection parameters (password, etc.)
12/17/2020 11:40 PM - jjakob

Status: Feedback Start date: 12/17/2020
Priority: Normal Due date:

Assignee: genius3000 % Done: 50%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.13.0 0S: Any
Description

| had some issues when my core's settings somehow got moved or deleted. core would not connect to the database (which was
working fine), the client gave a core setup wizard, wanting to know which core users to create, etc. As | already had the core
configured, | just wanted to reset the database connection parameters.

| couldn't find any clear documentation on how to do this in the wiki or the FAQ.

Finally | tried 'sudo i—uguassel quasselcore --configdir /var/lib/quassel --select-backend PostgreSQL' (Gentoo) which prompted for
the new database parameters, and it worked!

History

#1 - 12/17/2020 11:42 PM - jjakob
Edit - formatting:

sudo -1 —u quassel —-- quasselcore --configdir /var/lib/quassel --select-backend PostgreSQL

#2 - 12/24/2020 10:08 PM - genius3000
- Category set to General / Unspecified
- Status changed from New to Feedback
- Assignee set to genius3000

- % Done changed from 0 to 50

I've added it as a section on the FAQ Wiki page. It could be improved some and the two database Wiki pages could be updated to be more modern;
but it's a start of having it documented and accessible.

I'll leave this open for feedback yet.

#3 - 01/06/2021 05:19 PM - jjakob

I'm okay with that. | only wonder if all other systems use the quasselcore user while gentoo uses just quassel, maybe a note should be added to
check the user quasselcore runs as and check the path to configdir, as setting a wrong configdir will seem to work, but the "real" quasselcore process
won't read the resultant generated config file as it was generated in the wrong place.
